
Redmine - Defect #7291

500 error after upgrading to 1.1.0

2011-01-11 15:24 - Tristan Knight

Status: Closed Start date: 2011-01-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

The overview page causes a 500 error.

Accessing other pages direct works.

Followed upgrade instruction exactly as per documentation, including the db migrating tasks.

production.log shows:

ActionView::TemplateError (undefined method `visible_custom_field_values' for #<Project:0xb51e6530

>) on line #19 of app/views/projects/show.rhtml:

16:     <li><%=l(:label_subproject_plural)%>:

17:         <%= @subprojects.collect{|p| link_to(h(p), :action => 'show', :id => p)}.join(", ") %>

</li>

18:   <% end %>

19:     <% @project.visible_custom_field_values.each do |custom_value| %>

20:     <% if !custom_value.value.blank? %>

21:        <li><%= custom_value.custom_field.name%>: <%=h show_value(custom_value) %></li>

22:     <% end %>

    app/views/projects/show.rhtml:19:in `_run_rhtml_app47views47projects47show46rhtml'

    app/controllers/projects_controller.rb:166:in `show'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/rack/request_handler.rb:95:in `pr

ocess_request'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_request_handler.rb:207:i

n `main_loop'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/railz/application_spawner.rb:378:

in `start_request_handler'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/railz/application_spawner.rb:336:

in `handle_spawn_application'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/utils.rb:185:in `safe_fork'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/railz/application_spawner.rb:334:

in `handle_spawn_application'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server.rb:352:in `__send

__'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server.rb:352:in `main_l

oop'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server.rb:196:in `start_

synchronously'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server.rb:163:in `start'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/railz/application_spawner.rb:213:

in `start'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/spawn_manager.rb:262:in `spawn_ra

ils_application'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server_collection.rb:126

:in `lookup_or_add'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/spawn_manager.rb:256:in `spawn_ra

ils_application'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server_collection.rb:80:

in `synchronize'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server_collection.rb:79:
in `synchronize'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_ra

ils_application'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/spawn_manager.rb:154:in `spawn_ap

plication'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/spawn_manager.rb:287:in `handle_s

pawn_application'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server.rb:352:in `__send

__'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server.rb:352:in `main_l

oop'

    /var/lib/gems/1.8/gems/passenger-2.2.5/lib/phusion_passenger/abstract_server.rb:196:in `start_

synchronously'

Rendering /home/redmine/redmine-1.1/public/500.html (500 Internal Server Error)

 This is on debian, with passenger

History

#1 - 2011-01-11 15:25 - Tristan Knight

others are reporting this error on the forum here: http://www.redmine.org/boards/2/topics/20641

#2 - 2011-01-11 15:30 - Tristan Knight

I forgot to include:

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /home/redmine/redmine-1.1

Environment               production

Database adapter          mysql

Database schema version   20101114115359

#3 - 2011-01-11 16:00 - Jens Chorus

I believe I have the same issue (http://www.redmine.org/boards/1/topics/20519). But for me this error appears on creating new issues or updating

existing once.

#4 - 2011-01-11 21:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Tristan, your error stack trace shows that you there is something wrong with your setup.

Make sure you have a fresh Redmine 1.1.0 code and that your instance was properly restarted.

#5 - 2011-01-12 10:08 - Tristan Knight

i updated to the latest, r4702. and the problem still exists, however i applied the patch in #7297 and it has fixed the problem
